# 省级名称转换
"""
中国共计34个省级行政区，包括23个省、5个自治区、4个直辖市、2个特别行政区。

23个省分别为：河北省、山西省、辽宁省、吉林省、黑龙江省、江苏省、浙江省、安徽省、福建省、江西省、山东省、河南省、湖北省、湖南省、广东省、海南省、四川省、贵州省、云南省、陕西省、甘肃省、青海省、台湾省。

5个自治区分别为：内蒙古自治区、广西壮族自治区、西藏自治区、宁夏回族自治区、新疆维吾尔自治区。

4个直辖市分别为：北京市、天津市、上海市、重庆市。

2个特别行政区分别为：香港特别行政区、澳门特别行政区。
"""

# 全称
full_names = ['河北省', '山西省', '辽宁省', '吉林省', '黑龙江省', '江苏省', '浙江省', '安徽省', '福建省', '江西省', '山东省', '河南省', '湖北省', '湖南省', '广东省',
              '海南省', '四川省', '贵州省', '云南省', '陕西省', '甘肃省', '青海省', '台湾省', '内蒙古自治区', '广西壮族自治区', '西藏自治区', '宁夏回族自治区',
              '新疆维吾尔自治区', '北京市', '天津市', '上海市', '重庆市', '香港特别行政区', '澳门特别行政区']

# 缩写
abbreviation_names = ['河北', '山西', '辽宁', '吉林', '黑龙江', '江苏', '浙江', '安徽', '福建', '江西', '山东', '河南', '湖北', '湖南', '广东', '海南',
                      '四川', '贵州', '云南', '陕西', '甘肃', '青海', '台湾', '内蒙古', '广西', '西藏', '宁夏', '新疆',
                      '北京', '天津', '上海', '重庆', '香港', '澳门']

# 全称/缩写对应关系
# f_a = dict(zip(full_names, abbreviation_names))
f_a = {'河北省': '河北', '山西省': '山西', '辽宁省': '辽宁', '吉林省': '吉林', '黑龙江省': '黑龙江', '江苏省': '江苏', '浙江省': '浙江', '安徽省': '安徽',
       '福建省': '福建', '江西省': '江西', '山东省': '山东', '河南省': '河南', '湖北省': '湖北', '湖南省': '湖南', '广东省': '广东', '海南省': '海南',
       '四川省': '四川', '贵州省': '贵州', '云南省': '云南', '陕西省': '陕西', '甘肃省': '甘肃', '青海省': '青海', '台湾省': '台湾', '内蒙古自治区': '内蒙古',
       '广西壮族自治区': '广西', '西藏自治区': '西藏', '宁夏回族自治区': '宁夏', '新疆维吾尔自治区': '新疆', '北京市': '北京', '天津市': '天津', '上海市': '上海',
       '重庆市': '重庆', '香港特别行政区': '香港', '澳门特别行政区': '澳门'}

# 全称对应简称
fa_relation = {'北京市': '京', '天津市': '津', '河北省': '冀', '山西省': '晋', '内蒙古自治区': '蒙', '辽宁省': '辽', '吉林省': '吉', '黑龙江省': '黑',
               '上海市': '沪',
               '江苏省': '苏', '浙江省': '浙', '安徽省': '皖', '福建省': '闽', '江西省': '赣', '山东省': '鲁', '河南省': '豫', '湖北省': '鄂',
               '湖南省': '湘',
               '广东省': '粤', '广西壮族自治区': '桂', '海南省': '琼', '重庆市': '渝', '四川省': '川', '贵州省': '黔', '云南省': '滇', '西藏自治区': '藏',
               '陕西省': '陕',
               '甘肃省': '甘', '青海省': '青', '宁夏回族自治区': '宁', '新疆维吾尔自治区': '新', '台湾省': '台', '香港特别行政区': '港', '澳门特别行政区': '澳'}

# 缩写对应简称
# for i in f_a:
#     aa_relations[f_a[i]] = fa_relation[i]
aa_relations = {'河北': '冀', '山西': '晋', '辽宁': '辽', '吉林': '吉', '黑龙江': '黑', '江苏': '苏', '浙江': '浙', '安徽': '皖', '福建': '闽',
                '江西': '赣', '山东': '鲁', '河南': '豫', '湖北': '鄂', '湖南': '湘', '广东': '粤', '海南': '琼', '四川': '川', '贵州': '黔',
                '云南': '滇', '陕西': '陕', '甘肃': '甘', '青海': '青', '台湾': '台', '内蒙古': '蒙', '广西': '桂', '西藏': '藏', '宁夏': '宁',
                '新疆': '新', '北京': '京', '天津': '津', '上海': '沪', '重庆': '渝', '香港': '港', '澳门': '澳'}


